Buyer = L.Class.extend({
        includes: L.Mixin.Events,
        initialize: function (el) {
                this.el=el;
		this.end=null;
                this.buytext="Jetzt Parkschein kaufen";
                this.minutes=0;
                var that=this;
                el.addEventListener("touchstart",function(event){
                        that.handle(event,this);
                });
        },

        handle:function(evt,el){
                var mode="buy";
                if(evt && evt.target.value!==undefined){

                        if(!isNaN(parseFloat(evt.target.value))){
				window.navigator.notification.vibrate(5);
                                if(evt.target.className=="selected"){
                                        evt.target.className="unselected";
                                        this.minutes=0;
                                        this.smsText(null,0);
                                }else{
                                        this.clearButtons();
                                        evt.target.className="selected";
                                        this.minutes=parseInt(evt.target.value);
                                        this.smsText(null,this.minutes);
                                }
                        }else{
				window.navigator.notification.vibrate(100);
                                switch(evt.target.value){
                                        case "buy":
						if(!settings.kfz){
							alert("Bitte Kennzeichen eintragen");
							this.clearButtons();
							this.buyoff();
							return;
						}
						this.smsText(this.end,this.minutes);
						if(this.smstext){
							this.buy(this.smstext);
						}
                                                this.clearButtons();
                                                this.minutes=0;
						this.payed=true;
						this.rememberPosition(true);
                                                break;
                                        case "nobuy":
						if(!settings.kfz){
							alert("Bitte Kennzeichen eintragen");
						}
						this.payed=false;
                                                this.rememberPosition(false);
                                                break;
					default:
                                                this.clearButtons();
						this.smsText(null,this.minutes);
						this.buytext="Jetzt Parkschein kaufen";
						this.buy(null,0);
                                }
                        }
                }
                if(this.minutes==0){
                        this.buyoff();
                }else{
                        this.buyon();
                }
		this.fire("change");
        },
	rememberPosition:function(){
		this.fire("add_position");
	},
        buyon:function(){
                var button=document.getElementById("buy");
                button.className="buy";
                button.value="buy";
                button.textContent=this.buytext;
        },
        buyoff:function(){
                var button=document.getElementById("buy");
                button.value="nobuy";
                button.className="nobuy";
                button.textContent="Standort merken";
        },
        buyextend:function(message){
                if(message){

                        if(this.minutes==0){
                                this.buyoff();
                        }else{
                                var end=moment(message.sms.parsed.end).valueOf();
				this.end=end;
                                var nextend=moment(end).add("m",this.minutes);
                                var timeformated=moment(nextend).format("HH.mm");
                                this.buytext="verlängern bis "+timeformated+"h";;
                                if(moment().valueOf()<end){
                                        this.buyon();
                                        var message=this.buytext;
                                        var button=document.getElementById("buy");                      
                                        button.textContent=message;
                                        this.smsText(end,this.minutes);
                                }else{
					this.buytext="Jetzt Parkschein kaufen";
                                        this.smsText(0,this.minutes);
                                }

                        }
                }else{
                        this.buytext="Jetzt Parkschein kaufen";
                        this.smsText(null,this.minutes);
                }
        },
        clearButtons:function(){
                var buttons=this.el.getElementsByTagName("button");
                for(var b=0;b<buttons.length;b++){
                        if(!isNaN(parseFloat(buttons[b].getAttribute("value")))){
                                buttons[b].className="";
                        }
                }
        },
        buy:function(text){
                var m=parseFloat(this.minutes);
		console.log("overwrite this funktion",text);
                //globalGuthaben--;readSMS.fakeParkschein(m,settings.kfz,null,globalGuthaben);
        },
        smsText:function(starttime,minutes){
                        var smstext="";
			if(formvalues.business && formvalues.businessbutton){
				smstext+="B";
			}
                        smstext+=minutes;
                        if(starttime && moment().valueOf()<starttime){
                                var kaufTime=moment(starttime).format("HH:mm");
                                smstext+=" "+kaufTime;
                        }
                        smstext+=" Wien";
			if(settings.kfz!=undefined){
                        smstext+="*"+settings.kfz; //localStorage.getItem("aktuelles_kennzeichen");
			}
                
                        if(minutes>0){
                                document.getElementById("smsinfo").textContent=smstext;
                                document.getElementById("smsinfo").style.display="";
                        }else{
                                document.getElementById("smsinfo").textContent="";
                        }
			this.smstext=smstext;

        }
})


