Gps = L.Class.extend({
        includes: L.Mixin.Events,
        initialize:function(data){
		//do nothing
		this.followposition=true;
		this.watchid=null;
		this.circle = L.circle([0,0], 00, {
		    color: 'white',
		    fillColor: 'white',
		    fillOpacity: 0.3,
		    weight:1

		}).addTo(map);
	},
	setMapPosition:function(evt){
			var lat=evt.coords.latitude;
			var lng=evt.coords.longitude;
			//lat=this.hanoi(lat,lng)[0];
			//lng=this.hanoi(lat,lng)[1];
			map.panTo([lat,lng]);
			busy=false;  //no idea why
			//overlays.showInfo(new L.latLng(lat,lng));
			this.circle.setLatLng([lat,lng]);
			this.circle.setRadius(evt.coords.accuracy);
			this.circle.addTo(map);
			map.setZoom(18);
	},


	startWatch:function(){
		document.getElementById("gpsindikator").setAttribute("src","images/ledyellow.png");
		var that=this;

		this.watchid=navigator.geolocation.watchPosition(
		function(evt){
			if(map.tagName)return //map not finished loading
			document.getElementById("gpsindikator").setAttribute("src","images/ledgreen.png");
			if(that.followposition){
				that.setMapPosition(evt);
			}
			//document.getElementById("error").style.display="none";
		},
		function (evt){
			document.getElementById("gpsindikator").setAttribute("src","images/ledred.png");
			var text="Ohne GPS wird es mühsam. Fehler: "+evt.message;
			document.getElementById("error").style.display="";
			document.getElementById("error").textContent=text;
			alert(text);
		},
		 {enableHighAccuracy:true, maximumAge:30000, timeout:27000}
		);
	},
	stopFollow:function(){
		this.followposition=false;
	},
	startFollow:function(){
		this.followposition=true;
	},

	killWatch:function(){
		navigator.geolocation.clearWatch(this.watchid);
		document.getElementById("gpsindikator").setAttribute("src","images/ledred.png");
		this.watchid=null;
	},

	//at startup
	getPosition:function(callback){
		var that=this;
		document.getElementById("gpsindikator").setAttribute("src","images/ledyellow.png");
		this.watchid=navigator.geolocation.getCurrentPosition(
		function(event){
			if(map.tagName)return //map not finished loading
			//document.getElementById("gpsindikator").setAttribute("src","images/ledgreen.png");
			//document.getElementById("error").style.display="none";
			that.setMapPosition(event);
			callback(event);
			document.getElementById("gpsindikator").setAttribute("src","images/ledgreen.png");
		},
		function (event){
			document.getElementById("gpsindikator").setAttribute("src","images/ledred.png");
			var text="GPS Fehler: "+event.message;
			document.getElementById("error").style.display="";
			document.getElementById("error").textContent=text;
		},
		 {enableHighAccuracy:true, maximumAge:30000, timeout:27000}
		);

	},
	hanoi:function(lat,lng){
		wien=[48.207356,16.345006];
		lokation=[10.768882,106.693661];
		lat=-lokation[0]+wien[0]+lat;
		lng=-lokation[1]+wien[1]+lng;
		return [lat,lng];
	}

});
