function parseTime(zeitraum){
	var parking={
		mofr:{

		},
		sa:{

		},
		so:{

		}
	};
	var restrictionsArray=[];
	var end=null;
	var start=null;
	var days=["So","Mo","Di","Mi","Do","Fr","Sa","So"];
	var d = new Date();
	var n = d.getDay();
	var tomorrowStart=null;
    if(!zeitraum){
        console.log("zeitraum missing");
        return
    }
	zeitraum=zeitraum.replace(/Sa\.,/g,"Sa");
	zeitraum=zeitraum.replace(/v/g,"");
	zeitraum=zeitraum.replace(/\./g,"");
	var zeiten=zeitraum.split(/[;,]/);
	for(var i=0;i<zeiten.length;i++){
		if(zeiten[i].indexOf("(w")!==-1){
			var werk=true;
		}else{
			var werk=false;
		}
		if(zeiten[i].indexOf("eiertag")!==-1){
			var feier=true;
		}else{
			var feier=false;
		}
		//werktag
		if(zeiten[i].indexOf(days[1])!==-1){
			parking.mofr.start=parseInt(/([0-9]+)-/.exec(zeiten[i])[1]);
			parking.mofr.end=parseInt(/-([0-9]+)/.exec(zeiten[i])[1]);
			parking.mofr.feiertag=feier;
		}
		//samstag
		if(zeiten[i].indexOf(days[6])!==-1){
			parking.sa.start=parseInt(/([0-9]+)-/.exec(zeiten[i])[1]);
			parking.sa.end=parseInt(/-([0-9]+)/.exec(zeiten[i])[1]);
			parking.sa.feiertag=feier;
			//tomorrowStart=/([0-9]+)-/.exec(zeiten[i])[1];
		}
		//sonntag
		if(zeiten[i].indexOf(days[0])!==-1){
			parking.so.start=parseInt(/([0-9]+)-/.exec(zeiten[i])[1]);
			parking.so.end=parseInt(/-([0-9]+)/.exec(zeiten[i])[1]);
			parking.so.feiertag=feier;
			//tomorrowStart=/([0-9]+)-/.exec(zeiten[i])[1];
		}
		//mofr
		parking.html="";
		if(parking.mofr.feiertag===false){
			parking.html+="<img class='werktag' src='icons/werktag.png'/>";
		}else{
			parking.html+="<img class='werktag' src='icons/trans.gif'/>";
		}
		parking.html+=" Mo-Fr ";
		if(parking.mofr.start){
			parking.html+=parking.mofr.start+"-"+parking.mofr.end +" Uhr";
		}else{
			parking.html+="???";
		}
		if(parking.sa.start || parking.so.start){
			parking.html+="<br/>";
			if(parking.sa.feiertag===false){
				parking.html+="<img class='werktag' src='icons/werktag.png'/>";
			}else{
				parking.html+="<img class='werktag' src='icons/trans.gif'/>";
			}
		}
		if(parking.sa.start){
			parking.html+=" Sa ";
		}
		if(parking.so.start){
			parking.html+="So ";
		}
		if(parking.sa.feiertag){
			parking.html+=" Fei ";
		}
		if(parking.sa.start){
			parking.html+=parking.sa.start+"-"+parking.sa.end+" Uhr";
		}
	}
	var d = new Date();  //dreikönig 2013,0,6,19);
	var n = d.getDay();
	var feiertag=isFeiertag(d);
	if(feiertag){
		var times=startEndAtDay(0);
	}else{
		var times=startEndAtDay(n);
	}
	var h = d.getHours();

	parking.free=true;
	parking.freeUntil=null;

	if((times.start <= h) &&(times.end > h)){
		parking.free=false;
	}
	if(parking.free){
		var nextDayTimes=startEndAtDay(n+1);
		if(times.start >h){
			parking.freeUntil=times.start;
			parking.freeUntilText="Gratis bis "+times.start+" Uhr";
		}else{
			var nextDayTimes=startEndAtDay(n+1);
			if(nextDayTimes.start){
				parking.freeUntil=nextDayTimes.start;
				parking.freeUntilText="Gratis bis morgen um "+nextDayTimes.start+" Uhr";
			}
		}
	}


	return parking;


	function startEndAtDay(n){
		var start=null;
		var end=null;
		var free=true;
		if(n==0){
                        if(parking.so.start){
                                free=false;
				start=parking.so.start;
				end=parking.so.end;
                        }
                }
                if(n>0 && n<6){
                        if(parking.mofr.start){
                                free=false;
				start=parking.mofr.start;
				end=parking.mofr.end;
                        }
                }
                if(n==6){
                        if(parking.sa.start){
                                free=false;
				start=parking.sa.start;
				end=parking.sa.end;
			}
                }

		return {start:start,end:end}

	}



	//
	// 
	//http://www.google.com/calendar/feeds/de.austrian%23holiday%40group.v.calendar.google.com/public/full?alt=json&futureevents=true&orderby=starttime&max-results=1500
	//
	function isFeiertag(timestamp){

		//österreichische Feiertage
		var data=[
		  {
		    "name": "Neujahrstag",
		    "date": "2013-01-01"
		  },
		  {
		    "name": "Heilige Drei Könige",
		    "date": "2013-01-06"
		  },
		  {
		    "name": "Ostern",
		    "date": "2013-03-31"
		  },
		  {
		    "name": "Ostermontag",
		    "date": "2013-04-01"
		  },
		  {
		    "name": "Tag der Arbeit",
		    "date": "2013-05-01"
		  },
		  {
		    "name": "Christi Himmelfahrt",
		    "date": "2013-05-09"
		  },
		  {
		    "name": "Pfingstmontag",
		    "date": "2013-05-20"
		  },
		  {
		    "name": "Fronleichnam",
		    "date": "2013-05-30"
		  },
		  {
		    "name": "Mariä Himmelfahrt",
		    "date": "2013-08-15"
		  },
		  {
		    "name": "Nationalfeiertag",
		    "date": "2013-10-26"
		  },
		  {
		    "name": "Allerheiligen",
		    "date": "2013-11-01"
		  },
		  {
		    "name": "Allerseelen",
		    "date": "2013-11-02"
		  },
		  {
		    "name": "Unbefleckte Empfängnis",
		    "date": "2013-12-08"
		  },
		  {
		    "name": "Heiligabend",
		    "date": "2013-12-24"
		  },
		  {
		    "name": "Weihnachten",
		    "date": "2013-12-25"
		  },
		  {
		    "name": "Stephani Tag / Zweiter Weihnachtsfeiertag",
		    "date": "2013-12-26"
		  },
		  {
		    "name": "Silvester",
		    "date": "2013-12-31"
		  },
		  {
		    "name": "Neujahrstag",
		    "date": "2014-01-01"
		  },
		  {
		    "name": "Heilige Drei Könige",
		    "date": "2014-01-06"
		  },
		  {
		    "name": "Ostern",
		    "date": "2014-04-20"
		  },
		  {
		    "name": "Ostermontag",
		    "date": "2014-04-21"
		  },
		  {
		    "name": "Tag der Arbeit",
		    "date": "2014-05-01"
		  },
		  {
		    "name": "Christi Himmelfahrt",
		    "date": "2014-05-29"
		  },
		  {
		    "name": "Pfingstmontag",
		    "date": "2014-06-09"
		  },
		  {
		    "name": "Fronleichnam",
		    "date": "2014-06-19"
		  },
		  {
		    "name": "Mariä Himmelfahrt",
		    "date": "2014-08-15"
		  },
		  {
		    "name": "Nationalfeiertag",
		    "date": "2014-10-26"
		  },
		  {
		    "name": "Allerheiligen",
		    "date": "2014-11-01"
		  },
		  {
		    "name": "Allerseelen",
		    "date": "2014-11-02"
		  },
		  {
		    "name": "Unbefleckte Empfängnis",
		    "date": "2014-12-08"
		  },
		  {
		    "name": "Heiligabend",
		    "date": "2014-12-24"
		  },
		  {
		    "name": "Weihnachten",
		    "date": "2014-12-25"
		  },
		  {
		    "name": "St. Stephan’s Day / Zweiter Weihnachtsfeiertag",
		    "date": "2014-12-26"
		  },
		  {
		    "name": "Silvester",
		    "date": "2014-12-31"
		  },
		  {
		    "name": "Neujahrstag",
		    "date": "2015-01-01"
		  },
		  {
		    "name": "Heilige Drei Könige",
		    "date": "2015-01-06"
		  },
		  {
		    "name": "Ostern",
		    "date": "2015-04-05"
		  },
		  {
		    "name": "Ostermontag",
		    "date": "2015-04-06"
		  },
		  {
		    "name": "Tag der Arbeit",
		    "date": "2015-05-01"
		  },
		  {
		    "name": "Christi Himmelfahrt",
		    "date": "2015-05-14"
		  },
		  {
		    "name": "Pfingstmontag",
		    "date": "2015-05-25"
		  },
		  {
		    "name": "Fronleichnam",
		    "date": "2015-06-04"
		  },
		  {
		    "name": "Mariä Himmelfahrt",
		    "date": "2015-08-15"
		  },
		  {
		    "name": "Nationalfeiertag",
		    "date": "2015-10-26"
		  },
		  {
		    "name": "Allerheiligen",
		    "date": "2015-11-01"
		  },
		  {
		    "name": "Allerseelen",
		    "date": "2015-11-02"
		  },
		  {
		    "name": "Unbefleckte Empfängnis",
		    "date": "2015-12-08"
		  },
		  {
		    "name": "Heiligabend",
		    "date": "2015-12-24"
		  },
		  {
		    "name": "Weihnachten",
		    "date": "2015-12-25"
		  },
		  {
		    "name": "St. Stephan’s Day / Zweiter Weihnachtsfeiertag",
		    "date": "2015-12-26"
		  },
		  {
		    "name": "Silvester",
		    "date": "2015-12-31"
		  }
		]

		for(var i=0;i<data.length;i++){
			var d=moment(data[i].date).format("YYYY-MM-DD");
			var today=moment(timestamp).format("YYYY-MM-DD");
			if(d==today){
				return data[i].name;
			}
		}
		return null;



	} 






}
