Comm = L.Class.extend({
        includes: L.Mixin.Events,
        initialize: function (el) {
		this.messages=[];
		this.guthaben=12;
	},
	send:function(text){
		console.log("outgoing: "+text);
		if(formvalues.fake){
			this.sendFake(text);
		}else{
			if(typeof(text)=="string" && text.length >1){  //nur nix falsches schicken
				//alert(text);
				this.sendReal(text);
			}
		}
	},
	scan:function(callback,timestamp){
		if(formvalues.fake){
			if(this.messages.length >0){
				callback({messages:this.messages});
			}else{
				this.readFake(callback,"sms.json");
			}
		}else{
			this.readReal(callback,timestamp);
		}
	},
	sendReal:function(text){
            console.log("SEND "+formvalues.telnowien+" ---------- "+ text);

var options = {
            replaceLineBreaks: false, // true to replace \n by a new line, false by default
            android: {
                intent: ''  // send SMS with the native android SMS messaging
                //intent: '' // send SMS without open any other app
            }
        };

        var success = function () { console.log('Message sent successfully'); };
        var error = function (e) { console.log('Message Failed:' + e); };
        sms.send(formvalues.telnowien, text, options, success, error);

/*
            var messageInfo = {
                phoneNumber: formvalues.telnowien,
                textMessage: text
            };

            sms.sendMessage(messageInfo, function(message) {
                console.log("success: " + message);
            }, function(error) {
                console.log("code: " + error.code + ", message: " + error.message);
            });
*/
/*
            if(SMS) SMS.sendSMS(formvalues.telnowien, text, function(){
                console.log("sms sent");
            }, function(str){alert(str);});
*/
/*
		window.sms.send(formvalues.telnowien,text,
			function () { 
				//that.message("Warte auf Bestätigungs SMS");
			    },
			function (e) {
				
				alert("SMS Fehler ");
			}
		);
*/

	},
	readReal:function(callback,maxtime){
		var x=window.smsReader.getInbox(maxtime,function(data){
			//console.log(JSON.stringify(data));
			callback(data);
		},"adsf" );

	},
	sendFake:function(intext){
		if(!intext)return;
		var type="parkschein";
		if(intext.indexOf("*")){
			var comp=intext.split("*");
			var kennzeichen=comp[1];
			var text=comp[0];
			
		}else{
			var text=intext;
		}


		var type="park";
		var ar=text.split(" ");
		var i=0;
		var minutes=ar[i];
		if(minutes[0]=="A"){
			type="load";
			minutes=minutes.substring(1,minutes.length);
		}
		if(minutes[0]=="B"){
			type="business";
			minutes=minutes.substring(1,minutes.length);
		}
		minutes=parseInt(minutes);
		i++;
		var search=/[0-9]{2}:[0-9]{2}/
		var r=search.exec(ar[i]);
		if(r){
			var starttime=r[0];
			i++;
		}
		var parsed={
			type:type,
			minutes:minutes,
			kennzeichen:kennzeichen,
			starttime:starttime
		}
		this.fakeMessage(parsed,10000);
	},
	readFake:function(callback,url){
                var xhr=new XMLHttpRequest();
                var that=this;
                xhr.open("GET",url,true);
                xhr.onreadystatechange=function(){
                        if(xhr.readyState==4){
				if(xhr.status==200){
					smsjson=JSON.parse(xhr.responseText);
				}else{
					smsjson={messages:[]}
				}
				callback(smsjson);
                        }
                }
                xhr.send(null);
	},
	fakeMessage:function(parsed,delay){
		if(delay){
			var that=this;
			setTimeout(function(){
				that.fakeMessage(parsed);
			},Math.random()*delay);
		}else{
			switch(parsed.type){
				case "park":  //no break
				case "business":
					var returnMessage=this.fakeParkschein(parsed.minutes,parsed.kennzeichen,parsed.starttime);
					this.messages.push(returnMessage);
					
					break;
				case "load":
					// TODO load message
					break;
				default:
			}
			//console.log(returnMessage);
		}
	},


        fakeParkschein:function(dauer,kfz,start,guthaben){
                if(!kfz){
                        var kfz=this.parsedMessages.account.state.lastKfz;
                }
                if(start){
                        var now=moment();
                        var h=start.split(":")[0];
                        var m=start.split(":")[1];
                        now.hours(h);
                        now.minutes(m);

                }else{
                        var now=moment();
                }
                if(!this.guthaben){
                        this.guthaben=0;
                }else{
			if(dauer >=30){
				this.guthaben -= dauer/30;
			}
		}
                var date=now.format("DD.MM.YYYY");
                var start=now.format("HH:mm");
                var eend=moment(now).add("m",dauer);
                var end=now.add("m",dauer).format("HH:mm");

		//console.log(moment().valueOf() ,eend.valueOf());
		if(moment().valueOf() > eend.valueOf()){
			//TODO datumswechsel
			console.log("erst morgen");
		};

			

                //var text="Zuletzt gebuchter Parkschein in WIEN: 10Min./ Parkzeit: 11.12.2012 02:08 bis 02:18/ Kfz: W46711/ PS-Nr.: 83,092,206/ Preis: 0EUR/ Restguth.:0EUR"
                var text="Zuletzt gebuchter Parkschein in WIEN: "+dauer+"Min./ Parkzeit: "+date+" "+start+" bis "+end+"/ Kfz: "+kfz+"/ PS-Nr.: 83,092,206/ Preis: 0EUR/ Restguth.:"+this.guthaben+"EUR"
                var m= {
                      "date": moment().valueOf(),
                      "text": text,
                      "number": "+436646600990"
                    }
		return m;
		/*
                smsjson.messages.reverse();
                smsjson.messages.push(m);
                smsjson.messages.reverse();
                var parsed=this._parse(smsjson);
		*/
        },


});

