

/**
SMS Parkschein Reader mit Balken und callback text.
Timer ist auch da drinnen.

It is using:
settings.kfz
formvalues.warntime
*/
ReadSMS = L.Class.extend({

        includes: L.Mixin.Events,
	initialize:function(data){
		this.smsjson=null;
		var parsedMessagesString=localStorage.getItem("parsedmessages");
		if(parsedMessagesString){
			var parsed=JSON.parse(parsedMessagesString);
			if(parsed){
				this.parsedMessages=parsed;
				return;
			}
		}
		this.parsedMessages={
			kfz:{
			},
			account:{
				inbox:[],
				state:{
				}
			}
		};

	},
	/*
	load:function(callback,url){
		this.parsedMessages={
			kfz:{
			},
			account:{
				inbox:[],
				state:{
				}
			}
		};
		this.smsjson=null;

		if(url){
			if(this.smsjson){

			}else{
				this._loadSMS(callback,url);
			}
		}else{
			this._readsms(callback);
		}	
	},
	*/
	setData:function(smsjson){
		var parsed=this._parse(smsjson);
		localStorage.setItem("parsedmessages",JSON.stringify(parsed));
		return parsed;
	},

	kfzList:function(){
		var kfzlist=[];
		var kfzObjlist=[];
		//sortJsonArrayByProperty(this.parsedMessages.kfz, 'inbox.smsdate');

		//helper array for sort
		for(var i in this.parsedMessages.kfz){
			kfzObjlist.push({kfz:i,smsdate:this.parsedMessages.kfz[i].inbox[0].smsdate});
		}
		//sort kfz by date
		kfzObjlist.sort(function(a, b){
			return parseInt(b.smsdate)-parseInt(a.smsdate);
		})
		//make the sorted array
		for(var i in kfzObjlist){
			kfzlist.push(kfzObjlist[i].kfz);
		}
		return kfzlist;
	},

	balken:function(target){
		var countdown=false;
	//      var now=moment("2012-12-10 16:00:00");  //TODO datum raus
	//      var now=moment([2012, 11, 10,5,40])
		var now=moment();
		/*
		if(now < mintime){
			mintime=now;
		}
		*/
		target.innerHTML="";
		var lastMessage=null;
		if(!this.parsedMessages.kfz[settings.kfz])return;
		var outer=document.createElement("div");
		outer.className="timerOuter";   
		target.appendChild(outer);
		var mintime=999999999999999999999999999;//moment();
		var maxtime=0;
		var kfzMessages=this.parsedMessages.kfz[settings.kfz].inbox;
		for(var i=0;i<kfzMessages.length;i++){
			var message=kfzMessages[i];
			//if(now.valueOf() < message.parsed.end){
			if(maxtime < message.parsed.end){
				maxtime=message.parsed.end;
				lastMessage=message;
			}
			if(now.valueOf() < message.parsed.end){
				if(mintime > message.parsed.start){
					mintime=message.parsed.start;
				}
			}
		   }
		timeTillEnd=(maxtime-now)/1000;
		timeTillEnd=moment.duration(timeTillEnd,"s");
		var str="";
		if(timeTillEnd._data.hours!=0){
			str+=timeTillEnd._data.hours+"Stunden ";
		}
		var seconds=Math.floor(timeTillEnd._data.seconds);
		if(seconds<10)seconds="0"+seconds;
		if(moment().subtract(maxtime) <0){;
			str+=" "+timeTillEnd._data.minutes+":"+seconds+" Minuten ("+moment(maxtime).format('HH:mm')+"h)";
			countdown=true;
		}else {
			str="Parkschein abgelaufen "+moment(maxtime).fromNow();
			//this.fire("timerend",{type:"timerend",text:"timer abgelaufen"});
		}
		//showMessage(str);
		var finished=true;
		for(var i=0;i<kfzMessages.length;i++){
			var message=kfzMessages[i];

			if(now.valueOf() < message.parsed.end){
				var innerDiv=document.createElement("div");

				lefttime=mintime;
				var millisecondsToEnd=maxtime - mintime;
				var startProcent=( message.parsed.start - now.valueOf())/millisecondsToEnd*100;
				if(startProcent<0)startProcent=0;
				//if(startProcent <0)startProcent=0;
				var endProcent=( message.parsed.end - now.valueOf())/millisecondsToEnd*100;
				var widthPercent=(endProcent - startProcent);
				
				innerDiv.className="timerInner";
				innerDiv.style.left=startProcent+"%";
				innerDiv.style.width=widthPercent+"%";
				outer.appendChild(innerDiv);
		
				finished=false;
			}
		}       
		if(finished){
			outer.style.backgroundColor="";
		}else{
			outer.style.backgroundColor="white";
		}
		this._doAlert(maxtime,message);

		return({message:str,guthaben:this.parsedMessages.account.state.guthaben,sms:lastMessage,countdown:countdown}); 
	},

	/** privat */

	_doAlert:function(maxtime,message){
		var warndate=moment(maxtime).add("m",formvalues.warntime*-1);
		var diff= warndate.valueOf() - moment().valueOf();
		var diff2= maxtime.valueOf() - moment().valueOf();
		if(diff < 0 && diff>=-1000){
			this.fire("timer",message);
		}
		if(diff2 < 0 && diff2>=-1000){
			this.fire("timerend",message);
		}
	},



	_loadSMS:function(callback,url){
		var xhr=new XMLHttpRequest();
		var that=this;
		xhr.open("GET",url,true);
		xhr.onreadystatechange=function(){
			if(xhr.readyState==4){
				smsjson=JSON.parse(xhr.responseText);
				var parsed=that._parse(smsjson);
				callback(parsed);
			}
		}
		xhr.send(null);
	},


	_readsms:function(callback){
        SMS.listSMS({}, function(data){
            console.log("oho",data);
        });
		var x=window.smsReader.getInbox("aaaa",function(data){
			this._parse(data,callback);
		},function(evt){
			 console.log("Something went wrong!",evt);
		});
	},

	/**
	scan sms
	*/


	_parse:function(messages,callback){
		var oldGuthaben=this.parsedMessages.account.state.guthaben;
		delete this.parsedMessages.account.state.guthaben;
		var lastcheck=0;
		for(var i=0;i<messages.length;i++){
			//data.messages[i]);	
			this._makeJson(messages[i]);	
			if(messages[i].date > lastcheck){
				lastcheck=messages[i].date;
			}
		}
		if(this.parsedMessages.account.state.guthaben===undefined){
			this.parsedMessages.account.state.guthaben=oldGuthaben;
		}
		this.parsedMessages.account.state.lastcheck=lastcheck; //moment().valueOf();
		return this.parsedMessages;
	},

	/**
	parsing single sms
	*/

	_makeJson:function(message){
		var m=null;
		if(message.date <= this.parsedMessages.account.state.lastcheck){
			return; //checked already sms is not new
		}	

		for(var e=0;e<this.errors.length;e++){
			var error=this.errors[e];
			if(message.body.indexOf(error.substring)!==-1){
				if(message.address==error.number){
					var m={
						type:error.type,
						text:message.body,
						number:message.number,
						smsdate:message.date
					}
					break;
				}
			}
		}
		if(m){
			if(m.type=="parkschein"){
					//type="ok";
					var parkschein=this._parseParkschein(message.body);
					parkschein.smsdate=message.date;
					if(!this.parsedMessages.kfz[parkschein.Kfz]){
						this.parsedMessages.kfz[parkschein.Kfz]={};
					}
					if(!this.parsedMessages.kfz[parkschein.Kfz].inbox){
						this.parsedMessages.kfz[parkschein.Kfz].inbox=[]
					}
					var m=parkschein;
				       
					//pushed to an other place 
					if(moment(parkschein.parsed.end).valueOf() > moment().valueOf()){  //abenteuerlich
						this.parsedMessages.kfz[parkschein.Kfz].inbox.splice(0,0,parkschein);
					}else{
						this.parsedMessages.kfz[parkschein.Kfz].inbox.push(parkschein);
					}

					//fill state
					if(this.parsedMessages.account.state.guthaben===undefined){
						this.parsedMessages.account.state.guthaben=parkschein["Restguth."];
						this.parsedMessages.account.state.lastKfz=parkschein["Kfz"];

					}


			}else{
				this.parsedMessages.account.inbox.push(m);
				this.fire("message",m);
			}
			this.fire(m.type,m);
		}else{
			var m={
				type:"ignored",
				text:message.body,
				number:message.number
			};
			this.fire("ignored",m);
		}
		return;


	},

	/**
	Parsing the ok message
	*/

	_parseParkschein:function(message){
		var parts=message.split("/");
		var ret={}
		for(var i =0;i<parts.length;i++){
			var part=parts[i];
			var doppelpunktpos=part.indexOf(":");
			var name=part.substring(0,doppelpunktpos );
			name=name.trim();
			var value=part.substring(doppelpunktpos +1,part.length);
			value=value.trim();
			
			ret[name]=value;
		}
		var startend=this._getStartEnd(ret.Parkzeit);
		ret.parsed={}
		ret.text=message;
		ret.parsed.start=startend.start;
		ret.parsed.end=startend.end;
		ret.type="parkschein";
		return ret;
	},

	_getStartEnd:function(zeitstring){
		var search=/([0-9]{1,2}:[0-9]{2}) bis ([0-9]{1,2}:[0-9]{2})/;
		var date=zeitstring.substring(0,10);
		var erg=search.exec(zeitstring);
		var start=erg[1];
		var end=erg[2];

		var hours=start.split(":")[0];	
		var minutes=start.split(":")[1];	
		startTimestamp=moment(date,"DD.MM.YYYY");
		startTimestamp.add("h",hours);
		startTimestamp.add("m",minutes);

		var hours=end.split(":")[0];	
		var minutes=end.split(":")[1];	
		endTimestamp=moment(date,"DD.MM.YYYY");
		endTimestamp.add("h",hours);
		endTimestamp.add("m",minutes);

	//	endTimestamp.add("m",10);
		return{
			
			start:startTimestamp.valueOf(),
			end:endTimestamp.valueOf(),
			date:date
		}
	},

        errors:[
	    {
	      "date": "1355002865920",
	      "text": "Die Buchung kann nicht erfolgen, da Ihr Parkzeitkonto nicht genügend Stunden aufweist. Bitte laden Sie unter www.handyparken.at auf",
	      "number": "+436646600990",
	      "substring":"Die Buchung kann nicht erfolgen, da Ihr Parkzeitkonto nicht",
              "type":"nomoney"
	    },
	    {
	      "date": "1355055424865",
	      "text": "Ihre Eingabe konnte keinem Service zugeordnet werden.\r\nBitte wiederholen Sie die Eingabe.\r\nWeitere Informationen unter 0664 660 6000.",
	      "number": "+436646606000",
	      "substring":"Eingabe konnte keinem Service zugeordnet werden",
              "type":"noservice"
	    },
	    {
	      "date": "1355188027346",
	      "text": "Eine unmittelbar aufeinander folgende Buchung eines kostenpflichtigen Parkscheines und eines Gratisparkscheines (Reihenfolge egal) ist nicht zulässig.",
	      "number": "+436646600990",
	      "substring":"Eine unmittelbar aufeinander folgende Buchung",
              "type":"invalidorder"
	    },
	    {
	      "date": "1355180241113",
	      "text": "Ihre Eingabe wurde nicht erkannt. Nähere Informationen zu Handyparken erhalten Sie auf www.handyparken.at oder unter der Hotline 0664 660 6000.",
	      "number": "+436646606000",
		"substring":"Ihre Eingabe wurde nicht erkannt",
              "type":"syntaxerror"

	    },
	    {
	      "date": "1354985300441",
	      "text": "Willkommen zu HANDY Parken! Ihr Kennzeichen und Ihre bevorzugte Stadt wurden gespeichert. Infos und Ihre Einstellungen finden Sie auf www.handyparken.at",
	      "number": "+436646600990",
		"substring":"Willkommen zu HANDY Parken",
              "type":"confirmed"
	    },
	    {
	      "date": "1354985270248",
	      "text": "Bestätigen Sie Ihre Anmeldung zu Handyparken mit dem Kennzeichen W53238R durch Antwort auf diese SMS mit den beiden Buchstaben:  JA ",
	      "number": "+436646600990",
		"substring":"Bestätigen Sie Ihre Anmeldung zu Handyparken",
              "type":"confirm"
	}
	    ,
	    {
	      "date": "1354985521074",
	      "text": "Zuletzt gebuchter Parkschein in WIEN: 10Min./ Parkzeit: 08.12.2012 17:51 bis 18:01/ Kfz: W53238R/ PS-Nr.: 82,999,501/ Preis: 0EUR/ Restguth.:0EUR",
	      "number": "+436646600990",
		"substring":"Zuletzt gebuchter Parkschein",
              "type":"parkschein"
	    },    
		{
	      "date": "1354872447902",
	      "text": "Willkommen! Zur Teilnahme bei Handyparken bitte eine SMS mit Ihrem häufigst verwendeten KFZ-Kennzeichen schicken. (Bsp:  W123A  um Kennz. W123A anzumelden)",
	      "number": "+436646600990",
		"substring":"Zur Teilnahme bei Handyparken bitte eine SMS",
              "type":"welcome"
	    },
	{
	"date": "1354985562158",
	"text": "Bitte laden Sie Ihr Parkkonto unter www.handyparken.at auf, oder antworten Sie mit \"JA\" um sich zu paybox anzumelden und in Zukunft per SMS aufzuladen!",
	"number": "+436646600269",
	"substring":"Bitte laden Sie Ihr Parkkonto unter www.handyparken.at auf, oder antworten",
	"type":"pleaseload"
	},
	    {
	      "date": "1355188146547",
	      "text": "Ihr Parkzeitkonto beträgt unter 2 Stunden. Bitte laden Sie rechtzeitig Ihr Konto auf.",
	      "number": "+436646600990",
	"substring":"Ihr Parkzeitkonto beträgt unter 2 Stunden",
	"type":"spam"
	    },
    {
      "date": "1355134148894",
      "text": "Ihr Passwort für www.handyparken.at lautet: XXXX.",
      "number": "+436646600990",
      "substring":"Ihr Passwort für www.handyparken.at lautet",
      "type":"password"
	
    },
    {
      "date": "1355134053689",
      "text": "Sie sind bereits registriert. Melden Sie sich einfach auf www.handyparken.at an. Ihr Passwort können Sie sich jederzeit zusenden lassen.",
      "number": "082820200",
      "substring":"Sie sind bereits registriert",
      "type":"registered",
    }
	]

})//end class

